import { Trie } from '@kamilmielnik/trie';
import { Locale } from '@scrabble-solver/types';
import { Cache } from '../types';
declare class LayeredCache implements Cache<Locale, Trie> {
    private readonly layers;
    get(locale: Locale): Promise<Trie | undefined>;
    getLastModifiedTimestamp(locale: Locale): number | undefined;
    has(locale: Locale): boolean;
    isStale(locale: Locale): boolean | undefined;
    set(locale: Locale, trie: Trie): Promise<void>;
    private getLastModifiedLayer;
}
export default LayeredCache;
