"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const trie_1 = require("@kamilmielnik/trie");
const logger_1 = __importDefault(require("@scrabble-solver/logger"));
const word_lists_1 = require("@scrabble-solver/word-lists");
const downloadDictionary = async (locale) => {
    logger_1.default.info('downloadDictionary', { locale });
    const words = await (0, word_lists_1.getWordList)(locale);
    logger_1.default.info('downloadDictionary - success', { locale });
    const trie = trie_1.Trie.fromArray(words);
    return trie;
};
exports.default = downloadDictionary;
