"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@scrabble-solver/types");
const generatePattern_1 = __importDefault(require("./generatePattern"));
const generateVectors_1 = __importDefault(require("./generateVectors"));
const generateHorizontalPatterns = (config, board) => {
    const getNthVector = (index) => board.getRow(index);
    const horizontalVectors = (0, generateVectors_1.default)({ getNthVector, vectorsCount: config.boardSize });
    const horizontalPatterns = horizontalVectors.flatMap((cells) => {
        return (0, generatePattern_1.default)({ board, config, PatternModel: types_1.HorizontalPattern, cells });
    });
    return horizontalPatterns;
};
exports.default = generateHorizontalPatterns;
