"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getPatternHash_1 = __importDefault(require("./getPatternHash"));
const getUniquePatterns = (patterns) => {
    const hashes = new Set();
    const uniquePatterns = [];
    for (const pattern of patterns) {
        const hash = (0, getPatternHash_1.default)(pattern);
        if (!hashes.has(hash)) {
            hashes.add(hash);
            uniquePatterns.push(pattern);
        }
    }
    return uniquePatterns;
};
exports.default = getUniquePatterns;
