import { BONUS_CHARACTER, BONUS_WORD } from '@scrabble-solver/constants';
import BonusJson from './BonusJson';
import BonusValue from './BonusValue';
import Cell from './Cell';
import Config from './Config';
declare abstract class Bonus {
    readonly multiplier: number;
    readonly score: number | undefined;
    abstract readonly type: typeof BONUS_CHARACTER | typeof BONUS_WORD;
    readonly x: number;
    readonly y: number;
    constructor({ multiplier, score, x, y }: {
        multiplier: number;
        score?: number;
        x: number;
        y: number;
    });
    canApply(_config: Config, cell: Cell): boolean;
    matchesCellCoordinates(cell: Cell): boolean;
    toJson(): BonusJson;
    get value(): BonusValue;
}
export default Bonus;
