"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Tile_1 = __importDefault(require("./Tile"));
class Cell {
    static fromJson(json) {
        return new Cell({
            isEmpty: json.isEmpty,
            tile: Tile_1.default.fromJson(json.tile),
            x: json.x,
            y: json.y,
        });
    }
    // eslint-disable-next-line no-undef
    constructor({ isEmpty = true, tile = Tile_1.default.Null, x, y }) {
        this.isEmpty = isEmpty;
        this.tile = tile;
        this.x = x;
        this.y = y;
    }
    clone() {
        return new Cell({
            isEmpty: this.isEmpty,
            tile: this.tile.clone(),
            x: this.x,
            y: this.y,
        });
    }
    equals(other) {
        return this.x === other.x && this.y === other.y && this.isEmpty === other.isEmpty && this.tile.equals(other.tile);
    }
    hasTile() {
        return this.tile !== Tile_1.default.Null;
    }
    isCandidate() {
        return this.isEmpty && this.hasTile();
    }
    toJson() {
        return {
            isEmpty: this.isEmpty,
            tile: this.tile.toJson(),
            x: this.x,
            y: this.y,
        };
    }
    toString() {
        return this.tile.toString();
    }
}
exports.default = Cell;
