import Bonus from './Bonus';
import BonusValue from './BonusValue';
import Cell from './Cell';
import ConfigJson from './ConfigJson';
import Game from './Game';
import Locale from './Locale';
import Tile from './Tile';
import TileConfig from './TileConfig';
declare class Config {
    static fromJson(json: ConfigJson): Config;
    readonly bonuses: Bonus[];
    readonly config: ConfigJson;
    readonly pointsMap: Record<string, number>;
    constructor(config: ConfigJson);
    get alphabet(): string[];
    get bingoScore(): number;
    get blankScore(): number;
    get blanksCount(): number;
    get boardSize(): number;
    get game(): Game;
    get locale(): Locale;
    get twoCharacterTiles(): string[];
    getCellBonus(cell: Cell): Bonus | undefined;
    getCellBonusValue(cell: Cell): BonusValue;
    getCharacterPoints(character: string | null): number | undefined;
    getTwoCharacterTileByPrefix(character: string): string | undefined;
    getTilePoints(tile: Tile | null): number | undefined;
    hasCharacter(character: string): boolean;
    isTwoCharacterTilePrefix(character: string): boolean;
    get rackSize(): number;
    get tiles(): TileConfig[];
    toJson(): ConfigJson;
}
export default Config;
