import WordDefinitionJson from './WordDefinitionJson';
declare class WordDefinition {
    static fromJson(json: WordDefinitionJson | null): WordDefinition;
    static readonly Null: WordDefinition;
    readonly definitions: string[];
    /**
     * Does the word have an entry in a corresponding online dictionary?
     */
    readonly exists: boolean;
    /**
     * Can the word be legally used in the game?
     */
    readonly isAllowed: boolean;
    readonly word: string;
    constructor({ definitions, exists, isAllowed, word }: WordDefinitionJson);
    toJson(): WordDefinitionJson | null;
}
export default WordDefinition;
