"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class WordDefinition {
    static fromJson(json) {
        if (!json) {
            return WordDefinition.Null;
        }
        return new WordDefinition({
            definitions: json.definitions,
            exists: json.exists,
            isAllowed: json.isAllowed,
            word: json.word,
        });
    }
    constructor({ definitions, exists, isAllowed, word }) {
        this.definitions = definitions;
        this.exists = exists;
        this.isAllowed = isAllowed;
        this.word = word;
    }
    toJson() {
        return {
            definitions: this.definitions,
            exists: this.exists,
            isAllowed: this.isAllowed,
            word: this.word,
        };
    }
}
WordDefinition.Null = Object.freeze({
    definitions: [],
    exists: false,
    isAllowed: false,
    word: '',
    toJson: () => null,
});
exports.default = WordDefinition;
