"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = exports.crawl = void 0;
const cheerio_1 = require("cheerio");
const lib_1 = require("../lib");
const crawl = (word) => {
    return (0, lib_1.request)({
        protocol: 'https',
        hostname: 'www.cnrtl.fr',
        path: `/definition/${encodeURIComponent(word)}`,
    });
};
exports.crawl = crawl;
const parse = (html) => {
    const $ = (0, cheerio_1.load)(html);
    const $definitions = $('.tlf_cdefinition');
    return {
        definitions: Array.from($definitions).map((definition) => $(definition).text()),
        exists: $('#vitemselected span').length > 0,
    };
};
exports.parse = parse;
