"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = exports.crawl = void 0;
const cheerio_1 = require("cheerio");
const lib_1 = require("../lib");
const crawl = (word) => {
    return (0, lib_1.request)({
        protocol: 'https',
        hostname: 'dexonline.ro',
        path: `/definitie/${encodeURIComponent(word)}`,
    });
};
exports.crawl = crawl;
const parse = (html) => {
    const $ = (0, cheerio_1.load)(html);
    const $activeTab = $('.tab-pane.show.active');
    $('.type-example').remove();
    const $definitions = $activeTab.find('li.type-meaning.depth-0 > .meaningContainer .def.html');
    $definitions.find('.meaningTree').remove();
    const definitions = Array.from($definitions).map((definition) => $(definition).text().replace(/\n/g, ''));
    return {
        definitions,
        exists: definitions.length > 0,
    };
};
exports.parse = parse;
