"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWordList = void 0;
const types_1 = require("@scrabble-solver/types");
const languages_1 = require("./languages");
const localeMap = {
    [types_1.Locale.DE_DE]: languages_1.german.getWordList,
    [types_1.Locale.EN_GB]: languages_1.english.getWordListGb,
    [types_1.Locale.EN_US]: languages_1.english.getWordListUs,
    [types_1.Locale.ES_ES]: languages_1.spanish.getWordList,
    [types_1.Locale.FA_IR]: languages_1.persian.getWordList,
    [types_1.Locale.FR_FR]: languages_1.french.getWordList,
    [types_1.Locale.PL_PL]: languages_1.polish.getWordList,
    [types_1.Locale.RO_RO]: languages_1.romanian.getWordList,
    [types_1.Locale.TR_TR]: languages_1.turkish.getWordList,
};
const getWordList = (locale) => localeMap[locale]();
exports.getWordList = getWordList;
