"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWordList = void 0;
const types_1 = require("@scrabble-solver/types");
const latinize_1 = __importDefault(require("latinize"));
const lib_1 = require("../lib");
const FILE_URL = 'https://raw.githubusercontent.com/kamilmielnik/scrabble-dictionaries/master/spanish/file-2017.txt';
const N_PLACEHOLDER = '---n---';
const getWordList = async () => {
    const words = await (0, lib_1.getTxtWordList)(FILE_URL, types_1.Locale.ES_ES);
    return words
        .map((word) => word.replaceAll('ñ', N_PLACEHOLDER))
        .map(latinize_1.default)
        .map((word) => word.replaceAll(N_PLACEHOLDER, 'ñ'));
};
exports.getWordList = getWordList;
