"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const downloadFile_1 = __importDefault(require("./downloadFile"));
const extractWords_1 = __importDefault(require("./extractWords"));
const getTxtWordList = async (url, locale) => {
    const tempFilename = await (0, downloadFile_1.default)(url);
    const file = fs_1.default.readFileSync(tempFilename, 'utf-8');
    const words = (0, extractWords_1.default)(file.toLocaleString(), locale);
    fs_1.default.unlinkSync(tempFilename);
    return words;
};
exports.default = getTxtWordList;
